SmarterMail 6.x Help
This documentation is for a product that is no longer supported by SmarterTools.

Browser Requirements

SmarterMail is fully supported by the browsers below.

  • Internet Explorer 6 and higher
  • Google Chrome 2 and higher
  • FireFox 2 and higher
  • Safari 3 and higher
  • Opera 10 and higher